# boost::numeric::ublas::scalar_reference< T > Class Template Reference

Inherits scalar_expression< scalar_reference< T > >.

List of all members.

## Public Types
typedef T | value_type
typedef const value_type & | const_reference
typedef boost::mpl::if_ < boost::is_const< T > , const_reference, value_type & > ::type | reference
typedef const self_type | const_closure_type
typedef const_closure_type | closure_type
## Public Member Functions
BOOST_UBLAS_INLINE | scalar_reference (reference t)
BOOST_UBLAS_INLINE | operator value_type () const
BOOST_UBLAS_INLINE scalar_reference & | operator= (const scalar_reference &s)
template<class AE >
BOOST_UBLAS_INLINE scalar_reference & | operator= (const scalar_expression< AE > &ae)
BOOST_UBLAS_INLINE bool | same_closure (const scalar_reference &sr) const

### template<class T>
class boost::numeric::ublas::scalar_reference< T >